<!DOCTYPE html>
<html>
    <head>
    </head>
    <body>

    <form name="form1" action="#">
      <input type='text' name='text1' placeholder="mail"/>
      <input type="submit" name="submit" value="Submit" onclick="validerMail(document.form1.text1)"/>
      <input type='text' name='text2' placeholder="telephone"/>
      <input type="submit" name="submit" value="Submit" onclick="validerTelephone(document.form1.text2)"/>
    </form>
    <script>
    function validerMail(inputText)
    {
      var mailformat = /.*@.*\.xy/;
      if(inputText.value.match(mailformat))
      {
        alert("l'adresse email est valide");
      }
      else
      {
        alert("l'adresse email n'est pas valide");
      }
    }
    function validerTelephone(inputText)
    {
      var telephoneformat = /[0-9][0-9]\.[0-9][0-9]\.[0-9][0-9]\.[0-9][0-9]\.[0-9][0-9]/;
      if(inputText.value.match(telephoneformat))
      {
        alert("le telephone est valide");
      }
      else
      {
        alert("le telephone n'est pas valide");
      }
    }
    function validerLogin(inputLogin, inputPassword)
    {
      var password = ['bonjour', 'aurevoir', 'mdp', 'salut']
      var login = ['chat', 'chien', 'oiseau', 'cheval']

      for (let i = 0; i <= login.lenth; i++)
      {
          if login.find(inputLogin) && password.find(inputPassword)
          {
            alert("le login et le mdp sont valides");
          }
          else
          {
              alert("le login et le mdp ne sont pas valides");
          }

      }

    }
    </script>


    </body>
</html>
